Subject: bug#2642: Apparent regression on font-lock-compile-keywords

From: Nascif Abousalh-Neto <[email-masked]>
Date: Wed, 11 Mar 2009 21:23:59 -0400

Hi there,

Thanks for the quick response. I think I am using the latest version of these packages (see below).
Can you tell me which versions you are using?

;;; groovy.el --- Major mode for editing Groovy source text
;;; This file was created from javascript.el written and maintained by Karl.
;;; Minor changes were made to include some of the keywords from Groovy
;;; and use groovy/gr- instead of javascript/js-.

;; Copyright (C) 2007 Seth Schroeder

;; Author: Seth Schroeder <[email-masked]>
;; Author of javascript.el: Karl Landström <[email-masked]>
;; Maintainer: Seth Schroeder <[email-masked]>
;; Version: 1.0
;; Date: 2007-12-26
;; Keywords: languages, oop, groovy

;; Emacs Lisp Archive Entry
;; Filename: emacs-wiki.el
;; Version: 2.69
;; Keywords: hypermedia
;; Author: John Wiegley (johnw AT gnu DOT org)
;;         Alex Schroeder (alex AT gnu DOT org)
;; Maintainer: Michael Olson (mwolson AT gnu DOT org)

Thanks,
  Nascif

-------------------------------------------------------------------
Nascif Abousalh-Neto
Software Development Manager
Query and Reporting  ▪ Business Intelligence Clients
Tel: + 1 919 531 0123 - [email-masked]
www.sas.com
SAS® … THE POWER TO KNOW®

-----Original Message-----
From: Chong Yidong [mailto:[email-masked]]
Sent: Wednesday, March 11, 2009 8:11 PM
To: Nascif Abousalh-Neto
Cc: [email-masked]
Subject: Re: Apparent regression on font-lock-compile-keywords

> I recently upgraded from Emacs 22 to Emacs 23 (W32 on Windows XP).
> I have been using emacs-wiki and groovy-mode and not both fail with a
> similar error pointing to this:
> font-lock-set-defaults: Wrong type argument: symbolp, (quote
> beginning-of-line)
>
> It works on the second time or after turning font-lock on and off, and
> then fails again next time I try to use it.
>
> If I enable debug-on-error I get:
>
> Debugger entered--Lisp error: (wrong-type-argument symbolp (quote
> beginning-of-line))
>   font-lock-compile-keywords(nil)

I can't reproduce this with either emacs-wiki or groovy-mode.  From
Googling around, I see that some packages had bugs that led to such an
error.  It's not a bug in Emacs itself, I think.  Could you try
upgrading to more recent versions of these packages and see if the
problem persists?